<?php
require_once("ini.php");

$moodleParam = array(
        'moviefile',
        'lang',
        'courseID',
        'userNum',
        'lastname',
        'firstname',
        'faculty',
        'department',
);

if(mb_strstr($_SERVER['HTTP_REFERER'], $url) === false){
        echo 'Forbidden...';
         exit(0);
}

require_once("lib/videolist.php");
require_once("db.php");

function finishTimeFormat($time,$format="Y/m/d H:i:s"){
    if(!is_null($time)){
        $time = (int) $time / 1000;
        return(date($format,$time));
    } else {
        return('');
    }
}

$db = new logDB();

if($_GET['userNum'] != ''){
    $className = $_GET['userNum'];
} else {
    $className = $_GET['staffNum'];
}
$userName = "{$_GET['lastname']}　{$_GET['firstname']}";

$watchList = $db->getWatchLog($className, $userName);
if($watchList === false){
    echo 'データベースエラー';
    exit(1);
}
$v = new videolist('videolist');

?>
<!DOCTYPE html>
<html>
    <head>
        <meta charset="utf-8">
        <title>リスト</title>
        <link rel="stylesheet" href="lib/video.css">
    </head>
    <body>
        <h1>視聴完了リスト</h1>
        <p>
            各講義ビデオの視聴完了有無を確認できます．<br>
            <b>「未完了」</b>と表示されている箇所は，確認テストで1回目に合格していればOKです．1回目に合格していない場合は，視聴完了してください．<br>
            なお，<b>「バックアップ」</b><b>「[発展] OSの歴史」</b>は視聴必須ではないので，未完了でもOKです．<br>
            また，<b>「HDD (Hard Disk Drive)」「SSD (Solid State Drive)」</b>は対応する確認テストがなく，これらも視聴必須ではありません．ただし最終テストの出題範囲に絡んでくるため，事前学習をおすすめしておきます．（ビデオは第2回の中にあります）
        </p>
        <hr>
        氏名: <?=$userName?> (<?=$className?>)
        <table id="watchLogList">
            <thead>
                <tr>
                    <th>ビデオタイトル</th>
                    <th>視聴完了日時</th>
                </tr>
            </thead>
            <tbody>
                <?php foreach($v->vInfo as $id => $info){ ?>
                <tr>
                    <td><?=$info['title']?></td>
                    <td><?php
                        $finishTimeList = array();
                        foreach($watchList as $watch){
                            if($watch['videoName'] == '2017 - '.$info['title']){
                                if(!is_null($watch['finishTime']))
                                    $finishTimeList[] = finishTimeFormat($watch['finishTime']);
                            }
                        }
                        if(count($finishTimeList) == 0){
                            echo '<span style="color:red;font-weight:bold">(未完了)</span>';
                        } else {
                            echo implode('<br>',$finishTimeList);
                        }
                    ?></td>
                </tr>
                <?php } ?>
            </tbody>
        </table>
    </body>
</html>
